#### D.13.3.22 evaluateProduct

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  evaluateProduct(generatorsGperm,st); generatorsGperm: list, st: string

Purpose:
  Evaluates a formal product of variables xi in st, where xi corresponds to the permutation generatorsGperm[i].

Return:
  permutation

Example:

    LIB "gitfan.lib";
    ring R = 0,T(1..10),wp(1,1,1,1,1,1,1,1,1,1);
    ideal J =
    T(5)*T(10)-T(6)*T(9)+T(7)*T(8),
    T(1)*T(9)-T(2)*T(7)+T(4)*T(5),
    T(1)*T(8)-T(2)*T(6)+T(3)*T(5),
    T(1)*T(10)-T(3)*T(7)+T(4)*T(6),
    T(2)*T(10)-T(3)*T(9)+T(4)*T(8);
    intmat Q[5][10] =
    1, 1, 1, 1, 0, 0, 0, 0, 0, 0,
    1, 0, 0, 0, 1, 1, 1, 0, 0, 0,
    0, 1, 1, 0, 0, 0, -1, 1, 0, 0,
    0, 1, 0, 1, 0, -1, 0, 0, 1, 0,
    0, 0, 1, 1, -1, 0, 0, 0, 0, 1;
    list AF= afaces(J);
    list OC = orbitCones(AF,Q);
    list generatorsG = permutationFromIntvec(intvec( 1, 3, 2, 4, 6, 5, 7, 8, 10, 9 )),
    permutationFromIntvec(intvec( 5, 7, 1, 6, 9, 2, 8, 4, 10, 3 ));
    list Asigmagens = groupActionOnQImage(generatorsG,Q);
    //list actionOnOrbitconeIndicesForGenerators = groupActionOnHashes(Asigmagens,OC);
    string elementInTermsOfGenerators =
    "(x2^-1*x1^-1)^3*x1^-1";
    //evaluateProduct(actionOnOrbitconeIndicesForGenerators, elementInTermsOfGenerators);

User manual for Singular version 4.4.1, 2025, generated by texi2html.